.woocommerce-notices-wrapper{
	display: none;
}
.product{
	margin-bottom: 10.9375rem;
}
.product .product__title h1{
	font-size: 4.6875rem;
	color: var(--dark-blue);
	font-family: "Forum";
	line-height: 85%;
    letter-spacing: -0.04em;
}
.product .product__summary .product__title .price{
    margin-top: 0.9375rem;
	font-family: "Mariupol";
	font-size: 1.75rem;
	color: var(--dark-blue);
	font-weight: 400;
}

.product .product__delivery svg{
	width: 1.625rem;
	height: 1.625rem;
	fill: var(--red);
	flex-shrink: 0;
}

.product .product__images{
    width: 100%;
}

.product .product__images .product__image{
    position: relative;
    width: 100%;
    height: 21.25rem;
}

.product .product__images .product__image img{
    position: absolute;
    top: 0px;
    left: 0px;
    right: 0px;
    bottom: 0px;
    width: 100%;
    height: 100%;
    object-fit: cover;
    border-radius: 0.625rem;
}

/* PRODUCT ACCORDTIONS */
.product .accordion .accordion__item{
	overflow: hidden;
}
.product .accordion .accordion__item + .accordion__item{
    margin-top: 2.5rem;
}
.product .accordion .accordion__top{
    display: flex;
    align-items: center;
    background: #F7FBFF;
    padding: 1.75rem 2.1875rem;
	border-radius: 0.3125rem;
}

.product .accordion .accordion__top .heading-6{
    flex: 1 1 auto;
	color: var(--dark-blue);
	font-size: 1.5rem;
}

.product .accordion .accordion__top .accordion__switcher{
    width: 1.125rem;
    height: 1.125rem;
    stroke: var(--dark-blue);
    flex-shrink: 0;
    transition: all .3s linear;
}

.product .accordion .accordion__item.active .accordion__switcher{
    transform: rotate(45deg);
}

.product .accordion .accordion__content {
    height: 0;
	box-sizing: content-box;
    background: #F7FBFF;
	font-size: 1.5rem;
	font-family: "Mariupol";
	font-weight: 400;
	color: var(--dark-blue);
}

.product .accordion .accordion__content .accordion__content-wrapper{
    padding: 0 2.1875rem;
	gap: 0.625rem;
	white-space: pre-line;
}
.product .accordion .accordion__content .accordion__content-wrapper:last-of-type{
	padding-bottom: 1.875rem;
	
}
.product .accordion .accordion__content .accordion__content-wrapper ul{
	padding-left: 1rem;
	display: flex;
    flex-direction: column;
    gap: 1rem;
}


/* ATTRIBUTES */
.product .accordion .accordion__item + .accordion__item{
	margin-top: 1.5rem;
}

.product .accordion .accordion__top{
	cursor: pointer;
}

.product__attributes .accordion__item .accordion__top img{
	height: 1.5625rem;
	width: auto;
	margin-right: 1.25rem;
}

.product .accordion.product__attributes .accordion__item.active .accordion__switcher{
	transform: rotate(180deg);
}

.product__attributes .attribute__switcher{
	gap: 1.25rem 1.875rem;
}

.product__attributes .attribute__options-box {
	gap: 1.75rem;
}

.product__attributes .attribute__options-box.hide{
	display: none;
}

.product__attributes .product-attribute .accordion__content-wrapper{
	gap: 1.25rem;
}

.product__attributes .attribute__options{
	display: flex;
	flex-wrap: wrap;
	gap: 1.25rem 1.5rem;
}

.product__attributes .attribute__options:has(.form__radio-button.form__radio-button--color){
	gap: 0.9375rem;
}

.product__attributes .attribute__options label{
	line-height: 120%;
}

/* ADD TO CART */
.product__add-to-cart{
	gap: 0.6875rem
}

.product__add-to-cart .custom-qty{
	flex: 1 1 auto;
	margin-top: 0px;
	width: auto;
}

.product__add-to-cart .custom-qty,
.product__add-to-cart .btn{
	height: 4rem;
}

.product__add-to-cart .custom-qty button{
	width: auto;
	flex: 1 1 auto;
}

.product__add-to-cart .btn{
	padding-top: 0px;
	padding-bottom: 0px;
}

.product__attributes .attribute__option-text{
	white-space: pre;
	display: none;
	margin-top: 1.5625rem;
}

.product__attributes .attribute__option-text.show{
	display: block;
}

.product__attributes .attribute__sizes-table{
	margin-top: 1.5625rem;
	color: var(--text-dark);
	text-decoration: underline;
	cursor: pointer;
	transition: all .3s linear;
}

.product__attributes .attribute__sizes-table:hover,
.product__attributes .attribute__sizes-table:focus{
	color: var(--light-brown);
}

.attribute__sizes-table-popup .popup__body{
	padding: 1.25rem;
	border-radius: 0.625rem;
}

.attribute__sizes-table-popup table{
	border-collapse: collapse;
}
.attribute__sizes-table-popup table td{
	padding: .75em 1.25em;
	border: 1px solid var(--text-dark);
}


.product__adding-form {
    padding-left: 2.8125rem;
}
.product__selections{
	gap: 1.125rem;
}

.attribute-select-container {
    position: relative;
    width: 100%;
}
.product-custom-select {
  width: 100%;
  padding: 0 2.1875rem; 
  border: 2px solid var(--light-brown);
  border-radius: 0.3125rem;
  background: transparent;  
  font-family: "Mariupol";
  font-size: 1.5rem;
  font-weight: 500;
  color: var(--dark-blue); 
  cursor: pointer;
    
  height: 4.6875rem;
	
  -webkit-appearance: none;
  -moz-appearance: none;
  appearance: none;
}
.product-color-selector .color-label{
  font-size: 1.5rem;
  font-weight: 500;
  color: var(--dark-blue); 
}
.product-custom-select option[disabled] {
  display: none;
}

.product-custom-select option {
  color: #D8CEBD;
  color: var(--dark-blue); 
  font-family: "Mariupol";
  font-size: 1.5rem;
  font-weight: 500;
  opacity: 1; 
}

.select_arrow {
  position: absolute;
  right: 2.1875rem;
  top: 50%;
  fill: var(--dark-blue);
  transform: translateY(-50%);
  pointer-events: none; 
  transition: transform 0.3s ease;
  height: 0.9375rem;
}
.product-custom-select:focus + .select_arrow {
  transform: translateY(-50%) rotate(180deg);
}

.product-color-selector {
    margin-top: 0.3125rem;
    margin-bottom: 1.25rem;
}

.color-label {
    display: block;
    font-size: 1rem;
    margin-bottom: 0.625rem;
}

.color-box {
    display: block;
    width: 1.75rem;
    height: 1.75rem;
    border: 1px solid #4D3E41;
    padding: 0.125rem;
    cursor: pointer;
}

.product__actions {
    display: flex;
    gap: 0.625rem;
    align-items: stretch; 
}

.product__adding-form .product__actions .btn.btn--primary {
    border: none;
	width: auto;
    flex: 1 0 auto;
    display: flex;
    align-items: center;
    justify-content: center;
}

.color-swatch-item {
    cursor: pointer;
    position: relative;
}

.color-swatch-item input {
    position: absolute;
    opacity: 0;
}
.color-options{
	gap: 0.625rem;
}
.color-box {
    display: block;
    width: 1.875rem;
    height: 1.875rem;
	border-radius: 0.3125rem;
    padding: 0.375rem;
    transition: all 0.2s ease;
    background-clip: content-box; 
}

.attribute-select-container {
    width: 100%;
}

.product .product__images .btn--scroll-down{
	position: sticky;
	left: 50%;
	transform: translate(-50%, 0px);
    bottom:1.5625rem;
	stroke: #021D48;
	transition: all .3s linear;
}

.product .product__images .btn--scroll-down.is-hidden {
    opacity: 0;
    visibility: hidden;
    pointer-events: none;
}

.upsell-card {
    display: flex;
    flex-direction: column;
    height: 100%; 
    text-decoration: none;
}

.upsell-item-title {
    flex-grow: 1; 
    margin-bottom: 0.5rem;
    display: -webkit-box;
    -webkit-line-clamp: 2;
    -webkit-box-orient: vertical;
    overflow: hidden;
}

.upsell-item-price {
    margin-top: auto; 
}






@media screen and (max-width: 959px){	
	.product{
		padding-top: 5.5rem;
	}

	.product .product__images{
		order: 0;
		margin-bottom: 2.1875rem;
	}
	
	.product .product__images .swiper-button.swiper-button-next{
		right: 0.875rem;
	}
	
	.product .product__images .swiper-button.swiper-button-prev{
		left: 0.875rem;
	}
	
	.product .product__summary{
		order: 1;
	}
	
	.product .product__adding-form{
		order: 2;
	}
	
	.product .product__adding-form .product__title .product__price{
		margin-top: 1.5rem;
		margin-bottom: 2.1875rem;
	}
	
	.product .product__adding-form .product__add-to-cart{
		order: 1;
		margin-bottom: 3.125rem;
	}
	
	.product .product__adding-form .product__attributes {
		order: 2;
	}
	
	.product .product__adding-form .product__info {
		order: 3;
		margin-top: 3.375rem;
	}
	
	.product__add-to-cart .custom-qty{
		padding-left: 0.875rem;
		padding-right: 0.875rem;
	}
	
	.product__adding-form {
		padding-left: 0;
	}
	
	.product__actions .custom-qty{
		margin-top: 0;
		height: 4.3125rem;
		padding: 0 0.5rem;
	}
	.product .accordion .accordion__content .accordion__content-wrapper {
    	font-size: 1.125rem;
    }
	.product .product__delivery svg {
    	width: 1.4375rem;
    	height: 1.4375rem;
	}
}

@media screen and (min-width: 960px){
	.product .product__summary,
	.product .product__adding-form{
		position: sticky;
		top: 9.0625rem;
		height: calc(100vh - 9.0625rem);
		justify-content: space-between;
		padding-bottom: 1.5625rem;
	}

	.product .product__summary{
		flex: 0 0 31.625rem;
		gap: 6.25rem;
		padding-right: 2.8125rem;
		overflow-y: auto;
	}
	
	.product .product__adding-form{
		flex: 0 0 33.875rem;
	}
	
	.product .product__adding-form form{
		height: 100%;
	}
	
	.product .product__adding-form .product__add-to-cart,
	.product .product__adding-form .product__attributes .accordion__item{
		padding-left: 3.625rem;
	}
	
	.product .product__images{
		position: relative;
		flex: 1 1 100%;
	}
	
	.product .product__images.swiper-container .swiper .product__images-wrapper{
		flex-direction: column;
		gap: 0.9375rem;
		padding-top: 9.0625rem;
	}
	
	.product .product__images .product__image{
		height: 51.6875rem;
	}
	
	.product .product__images .product__image img{
		border-radius: 0px;
	}
	
	.product .product__images .product__image:first-of-type img{
		border-top-left-radius: 0.625rem;
		border-top-right-radius: 0.625rem;
	}

	.product .product__images .product__image:last-of-type img{
		border-bottom-left-radius: 0.625rem;
		border-bottom-right-radius: 0.625rem;
	}

	.product__add-to-cart .custom-qty, 
	.product__add-to-cart .btn {
		height: 5.5rem;
	}
	
	.product__attributes .attribute__options-box {
		gap: 2.5rem;
	}
	
	.product__attributes .product-attribute .accordion__content-wrapper{
		gap: 1.75rem;
	}
	
	.product .accordion .accordion__item + .accordion__item{
		margin-top: 0.625rem;
	}

	.product__attributes .accordion__item .accordion__top img{
		height: 1.5625rem;
		width: auto;
		margin-right: 1.25rem;
	}
	
	.product__attributes .attribute__options:has(.form__radio-button.form__radio-button--color){
		gap: 1.5625rem;
	}

	.product__attributes .attribute__sizes-table{ 
		margin-top: 2.1875rem;
	}
}
@media (max-width: 768px) {
	
	.product .product__images .product__image,
	.product .product__images{
		height: 25rem;
	}
	
    .product__images {
        order: 1;
        width: 100%;
        margin-bottom: 1.5625rem;
    }

	.product__title { order: 2; width: 100%; }

	.product .product__title h1{
		font-size: 2.375rem;
	}
	.product .product__summary .product__title .price{
		font-size: 1.125rem;
	}
    .product__summary {
        display: flex !important; 
        order: 2;
        padding: 0 1.5625px;
    }

    .product__summary .product__info.accordion {
        display: none;
    }
	
    .product__adding-form {
        order: 3;
        width: 100%;
		margin-top: 1.5625rem;
    }

	.product-custom-select {
		padding: 0 1.5625rem; 
		font-size: 1.125rem;
		color: var(--dark-blue); 
		height: 3.875rem;
	}
	.product-color-selector .color-label{
		font-size: 1.125rem;
	}
	.select_arrow {
		height: 1.5rem;
		width: 0.75rem;
	}
    .product-upsells {
        order: 4;
        margin-top: 2.5rem;
        margin-bottom: 2.5rem;
    }

	.upsells-heading {
        font-size: 1.25rem;
		margin-bottom: 0.9375rem;
    }
    .product__summary {
        display: contents !important; 
    }

    .product .accordion .accordion__top .heading-6 {
		font-size: 1.125rem;
	}
    
    .product__summary .product__info.accordion {
        display: block !important;
        order: 5; 
        width: 100%;
        margin-top: 1.5rem;
    }
}

.attribute-select-container.error .product-custom-select {
    border-color: #ff4d4d !important;
    background-color: #fff5f5;
    box-shadow: 0 0 5px rgba(255, 77, 77, 0.3);
    transition: all 0.3s ease;
}

.product-color-selector.error {
    border: 1px solid #ff4d4d;
    padding: 10px;
    border-radius: 8px;
    background-color: #fff5f5;
    animation: shake 0.4s ease-in-out;
}

.error-message {
    color: #ff4d4d;
    font-size: 12px;
    margin-top: 5px;
    display: none;
}

.error .error-message {
    display: block;
}

